Fingerprint GT-511C3

Hallo,
ich möchte gerne den oben genannten Fingerprint Sensor testen.
Bekomme aber leider die Beispielprogramme nicht zum laufen.
Folgende Fehlermeldung beim Kompilieren verstehe ich nicht:
FPS_GT511C3.cpp:17: undefined reference to operator new[](unsigned int)' FPS_GT511C3\FPS_GT511C3.cpp.o: In function FPS_GT511C3::GetResponse()':
Gruß
Bernward

Bitte :

  • Sketch
  • link zur Biblithek
  • alle Fehlermeldungen, nicht nur einen Auszug.

Hast Du die Bibliothek richtig installiert?

Grüße Uwe

Hallo Uwe,
hier ist der Link zur Bibliothek,
die Beispiele sind auch dabei.
Mit Arduino 1.0 krieg ich es aber nicht kompiliert.

Gruß
Bernward

maverick1509:
Mit Arduino 1.0 krieg ich es aber nicht kompiliert.

Achte auf korrekte Installation der Library!

Wenn Du bei Github das ZIP-Archiv herunterlädst, dann ist da als erstes ein Verzeichnis namens "Fingerprint_Scanner-TTL-master" drin. Erst IN diesem Verzeichnis ist ein weiteres Verzeichnis "FPS_GT511C3" enthalten. Die Library ist der Ordner "FPS_GT511C3" mit den darin enthaltenen Dateien.

Unterhalb des Arduino Library-Verzeichnisses mußt Du daher "FPS_GT511C3" installieren!

Wenn Du im Arduino-Libraryverzeichnis einen Ordner namens "Fingerprint_Scanner-TTL-master" hast, dann hast Du die Library nicht korrekt installiert.

Hallo,
da hab ich schon drauf geachtet.
Es ist ja auch so, das ich Fehlermeldungen bekomme, die sich auf die FPS_GT511C3.cpp
beziehen, also findet er die ja auch.
gruß

maverick1509:
da hab ich schon drauf geachtet.
Es ist ja auch so, das ich Fehlermeldungen bekomme, die sich auf die FPS_GT511C3.cpp
beziehen, also findet er die ja auch.

Welche Version der Arduino-Software verwendest Du?
Unter welchem Betriebssystem läuft die Arduino-Software bei Dir?
Welches Board hast Du in der Arduino-Software ausgewählt?

Das scheint spezifisch an dem new Operator zu liegen. Den gab es glaube ich in früheren Arduino Versionen nicht, aber in 1.0.5 sollte es gehen.

Hallo,
ich danke euch für die Tipps.
Es lag tatsächlich an der Arduino Version.
Ich habe mir die 1.0.5 geladen und seit dem klappt es auch mit dem "new".
gruß
Bernward